Bug 1285834 - [guest-agent][windows] appsList is empty on Windows
[guest-agent][windows] appsList is empty on Windows
Status: CLOSED CURRENTRELEASE
Product: ovirt-guest-agent
Classification: oVirt
Component: General (Show other bugs)
---
x86_64 Windows
unspecified Severity high (vote)
: ovirt-3.6.2
: 1.0.11-4
Assigned To: Vinzenz Feenstra [evilissimo]
Ondra Machacek
: Regression
: 1276700 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 10:43 EST by Jiri Belka
Modified: 2016-02-18 06:07 EST (History)
5 users (show)

See Also:
Fixed In Version: rhev-guest-tools-iso-3.6-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:07:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: blocker+
mgoldboi: planning_ack+
michal.skrivanek: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 49284 master MERGED PEP8 fix introduced regression Never
oVirt gerrit 49700 ovirt-3.6 MERGED PEP8 fix introduced regression Never

  None (edit)
Description Jiri Belka 2015-11-26 10:43:14 EST
Description of problem:

no installed apps reported on windows (tested with windows 7 32bit and windows 8.1 64bit till now).

~~~
vdsclient -s 0 getVmStats $id
...
        displayType = qxl
        cpuSys = 4.87
        appsList = []
        guestOs = Win 8
        vmName = jb-w81x64
...
~~~

~~~
Dummy-3::DEBUG::2015-11-26 15:15:09,782::ovirtagentlogic::189::root::Sending applications with args {'applications': []}
Dummy-3::DEBUG::2015-11-26 15:15:09,782::virtiochannel::200::root::Written {"applications": [], "__name__": "applications"}
~~~

~~~
Dummy-1::INFO::2015-11-26 15:02:57,148::ovirtguestservice::80::root::Starting OVirt Guest Agent service
Dummy-2::INFO::2015-11-26 15:02:57,148::ovirtagentlogic::294::root::Received an external command: lock-screen...
Dummy-2::INFO::2015-11-26 15:03:06,756::ovirtagentlogic::294::root::Received an external command: api-version...
Dummy-2::INFO::2015-11-26 15:03:06,756::ovirtagentlogic::112::root::API Version updated from 0 to 2
Dummy-1::INFO::2015-11-26 15:03:59,413::ovirtguestservice::94::root::Stopping OVirt Guest Agent service
Dummy-1::INFO::2015-11-26 15:04:23,125::ovirtguestservice::80::root::Starting OVirt Guest Agent service
Dummy-1::INFO::2015-11-26 15:15:08,109::ovirtguestservice::94::root::Stopping OVirt Guest Agent service
Dummy-1::INFO::2015-11-26 15:15:09,625::ovirtguestservice::80::root::Starting OVirt Guest Agent service
Dummy-1::DEBUG::2015-11-26 15:15:09,625::ovirtagentlogic::171::root::AgentLogicBase:: __init__() entered
Dummy-1::DEBUG::2015-11-26 15:15:09,625::guestagentwin32::220::root::WinOsTypeHandler::getWinOsType osType = 'Win 8' version = '6.2'
Dummy-1::DEBUG::2015-11-26 15:15:09,625::guestagentwin32::658::root::WinVdsAgent:: run() entered
Dummy-1::DEBUG::2015-11-26 15:15:09,734::ovirtagentlogic::196::root::AgentLogicBase:: run() entered
Dummy-2::DEBUG::2015-11-26 15:15:09,734::ovirtagentlogic::261::root::AgentLogicBase::doListen() - entered
Dummy-2::DEBUG::2015-11-26 15:15:09,734::ovirtagentlogic::268::root::AgentLogicBase::doListen() - in loop before vio.read
Dummy-3::DEBUG::2015-11-26 15:15:09,734::ovirtagentlogic::213::root::AgentLogicBase:: doWork() entered
Dummy-3::DEBUG::2015-11-26 15:15:09,734::ovirtagentlogic::189::root::Sending host-name with args {'name': 'JB-W81X64'}
Dummy-3::DEBUG::2015-11-26 15:15:09,734::virtiochannel::200::root::Written {"__name__": "host-name", "name": "JB-W81X64"}

Dummy-3::DEBUG::2015-11-26 15:15:09,734::ovirtagentlogic::189::root::Sending os-version with args {'version': 'Win 8'}
Dummy-3::DEBUG::2015-11-26 15:15:09,734::virtiochannel::200::root::Written {"__name__": "os-version", "version": "Win 8"}

Dummy-3::DEBUG::2015-11-26 15:15:09,782::ovirtagentlogic::189::root::Sending network-interfaces with args {'interfaces': [{'hw': u'00:01:a4:a1:4f:01', 'name': u'Red Hat VirtIO Ethernet Adapter', 'inet': [u'10.34.61.6'], 'inet6': [u'2620:52:0:223c:e018:a662:1d89:c23b', u'fe80::e018:a662:1d89:c23b', u'2620:52:0:223c:bcf3:c460:b0b7:425']}]}
Dummy-3::DEBUG::2015-11-26 15:15:09,782::virtiochannel::200::root::Written {"__name__": "network-interfaces", "interfaces": [{"inet6": ["2620:52:0:223c:e018:a662:1d89:c23b", "fe80::e018:a662:1d89:c23b", "2620:52:0:223c:bcf3:c460:b0b7:425"], "hw": "00:01:a4:a1:4f:01", "inet": ["10.34.61.6"], "name": "Red Hat VirtIO Ethernet Adapter"}]}

Dummy-3::DEBUG::2015-11-26 15:15:09,782::guestagentwin32::520::root::Active user: user@jb-w81x64
Dummy-3::DEBUG::2015-11-26 15:15:09,782::ovirtagentlogic::357::root::AgentLogicBase::sendUserInfo - cur_user = 'user@jb-w81x64'
Dummy-3::DEBUG::2015-11-26 15:15:09,782::ovirtagentlogic::189::root::Sending active-user with args {'name': u'user@jb-w81x64'}
Dummy-3::DEBUG::2015-11-26 15:15:09,782::virtiochannel::200::root::Written {"__name__": "active-user", "name": "user@jb-w81x64"}

Dummy-3::DEBUG::2015-11-26 15:15:09,782::ovirtagentlogic::189::root::Sending applications with args {'applications': []}
Dummy-3::DEBUG::2015-11-26 15:15:09,782::virtiochannel::200::root::Written {"applications": [], "__name__": "applications"}

Dummy-3::DEBUG::2015-11-26 15:15:09,798::ovirtagentlogic::189::root::Sending fqdn with args {'fqdn': 'jb-w81x64.rhev.lab.eng.brq.redhat.com'}
Dummy-3::DEBUG::2015-11-26 15:15:09,798::virtiochannel::200::root::Written {"__name__": "fqdn", "fqdn": "jb-w81x64.rhev.lab.eng.brq.redhat.com"}

Dummy-3::DEBUG::2015-11-26 15:15:09,845::ovirtagentlogic::193::root::Message timezone not supported by api version 0.
Dummy-3::DEBUG::2015-11-26 15:15:09,845::ovirtagentlogic::193::root::Message os-info not supported by api version 0.
Dummy-3::DEBUG::2015-11-26 15:15:14,188::ovirtagentlogic::189::root::Sending heartbeat with args {'memory-stat': {'swap_out': 0, 'majflt': 0, 'swap_usage': 266240, 'mem_cached': 0, 'mem_free': '295536', 'mem_buffers': 0, 'swap_in': 0, 'swap_total': 1769472, 'pageflt': 183, 'mem_total': '1048056', 'mem_unused': '295536'}, 'free-ram': '288', 'apiVersion': 2}
Dummy-3::DEBUG::2015-11-26 15:15:14,188::virtiochannel::200::root::Written {"__name__": "heartbeat", "memory-stat": {"swap_out": 0, "majflt": 0, "swap_usage": 266240, "mem_cached": 0, "mem_free": "295536", "mem_buffers": 0, "swap_in": 0, "swap_total": 1769472, "pageflt": 183, "mem_total": "1048056", "mem_unused": "295536"}, "free-ram": "288", "apiVersion": 2}

Dummy-3::DEBUG::2015-11-26 15:15:19,548::ovirtagentlogic::189::root::Sending heartbeat with args {'memory-stat': {'swap_out': 0, 'majflt': 7, 'swap_usage': 266240, 'mem_cached': 0, 'mem_free': '289872', 'mem_buffers': 0, 'swap_in': 23, 'swap_total': 1769472, 'pageflt': 166, 'mem_total': '1048056', 'mem_unused': '289872'}, 'free-ram': '283', 'apiVersion': 2}
Dummy-3::DEBUG::2015-11-26 15:15:19,548::virtiochannel::200::root::Written {"__name__": "heartbeat", "memory-stat": {"swap_out": 0, "majflt": 7, "swap_usage": 266240, "mem_cached": 0, "mem_free": "289872", "mem_buffers": 0, "swap_in": 23, "swap_total": 1769472, "pageflt": 166, "mem_total": "1048056", "mem_unused": "289872"}, "free-ram": "283", "apiVersion": 2}

Dummy-3::DEBUG::2015-11-26 15:15:19,548::guestagentwin32::520::root::Active user: user@jb-w81x64
Dummy-3::DEBUG::2015-11-26 15:15:19,548::ovirtagentlogic::357::root::AgentLogicBase::sendUserInfo - cur_user = 'user@jb-w81x64'
Dummy-3::DEBUG::2015-11-26 15:15:19,548::ovirtagentlogic::189::root::Sending applications with args {'applications': []}
Dummy-3::DEBUG::2015-11-26 15:15:19,548::virtiochannel::200::root::Written {"applications": [], "__name__": "applications"}

Dummy-3::DEBUG::2015-11-26 15:15:19,548::ovirtagentlogic::189::root::Sending host-name with args {'name': 'JB-W81X64'}
Dummy-3::DEBUG::2015-11-26 15:15:19,548::virtiochannel::200::root::Written {"__name__": "host-name", "name": "JB-W81X64"}

Dummy-3::DEBUG::2015-11-26 15:15:19,548::ovirtagentlogic::189::root::Sending os-version with args {'version': 'Win 8'}
Dummy-3::DEBUG::2015-11-26 15:15:19,548::virtiochannel::200::root::Written {"__name__": "os-version", "version": "Win 8"}

Dummy-3::DEBUG::2015-11-26 15:15:19,562::ovirtagentlogic::189::root::Sending network-interfaces with args {'interfaces': [{'hw': u'00:01:a4:a1:4f:01', 'name': u'Red Hat VirtIO Ethernet Adapter', 'inet': [u'10.34.61.6'], 'inet6': [u'2620:52:0:223c:e018:a662:1d89:c23b', u'fe80::e018:a662:1d89:c23b', u'2620:52:0:223c:bcf3:c460:b0b7:425']}]}
Dummy-3::DEBUG::2015-11-26 15:15:19,562::virtiochannel::200::root::Written {"__name__": "network-interfaces", "interfaces": [{"inet6": ["2620:52:0:223c:e018:a662:1d89:c23b", "fe80::e018:a662:1d89:c23b", "2620:52:0:223c:bcf3:c460:b0b7:425"], "hw": "00:01:a4:a1:4f:01", "inet": ["10.34.61.6"], "name": "Red Hat VirtIO Ethernet Adapter"}]}

Dummy-3::DEBUG::2015-11-26 15:15:19,562::ovirtagentlogic::189::root::Sending fqdn with args {'fqdn': 'jb-w81x64.rhev.lab.eng.brq.redhat.com'}
Dummy-3::DEBUG::2015-11-26 15:15:19,562::virtiochannel::200::root::Written {"__name__": "fqdn", "fqdn": "jb-w81x64.rhev.lab.eng.brq.redhat.com"}

Dummy-3::DEBUG::2015-11-26 15:15:19,578::ovirtagentlogic::189::root::Sending disks-usage with args {'disks': [{'total': 31843151872L, 'path': 'c:\\', 'fs': 'NTFS', 'used': 10596728832L}, {'total': 375529472L, 'path': 'd:\\', 'fs': 'CDFS', 'used': 375529472L}], 'mapping': {u'e946dc19-6eee-4a71-8': {'name': u'\\\\.\\PHYSICALDRIVE0'}}}
Dummy-3::DEBUG::2015-11-26 15:15:19,578::virtiochannel::200::root::Written {"__name__": "disks-usage", "disks": [{"path": "c:\\", "total": 31843151872, "used": 10596728832, "fs": "NTFS"}, {"path": "d:\\", "total": 375529472, "used": 375529472, "fs": "CDFS"}], "mapping": {"e946dc19-6eee-4a71-8": {"name": "\\\\.\\PHYSICALDRIVE0"}}}

Dummy-3::DEBUG::2015-11-26 15:15:19,578::ovirtagentlogic::193::root::Message number-of-cpus not supported by api version 0.
Dummy-3::DEBUG::2015-11-26 15:15:24,923::ovirtagentlogic::189::root::Sending heartbeat with args {'memory-stat': {'swap_out': 0, 'majflt': 0, 'swap_usage': 266240, 'mem_cached': 0, 'mem_free': '290172', 'mem_buffers': 0, 'swap_in': 0, 'swap_total': 1769472, 'pageflt': 132, 'mem_total': '1048056', 'mem_unused': '290172'}, 'free-ram': '283', 'apiVersion': 2}
Dummy-3::DEBUG::2015-11-26 15:15:24,923::virtiochannel::200::root::Written {"__name__": "heartbeat", "memory-stat": {"swap_out": 0, "majflt": 0, "swap_usage": 266240, "mem_cached": 0, "mem_free": "290172", "mem_buffers": 0, "swap_in": 0, "swap_total": 1769472, "pageflt": 132, "mem_total": "1048056", "mem_unused": "290172"}, "free-ram": "283", "apiVersion": 2}

Dummy-3::DEBUG::2015-11-26 15:15:30,282::ovirtagentlogic::189::root::Sending heartbeat with args {'memory-stat': {'swap_out': 0, 'majflt': 0, 'swap_usage': 266240, 'mem_cached': 0, 'mem_free': '292948', 'mem_buffers': 0, 'swap_in': 0, 'swap_total': 1769472, 'pageflt': 0, 'mem_total': '1048056', 'mem_unused': '292948'}, 'free-ram': '286', 'apiVersion': 2}
Dummy-3::DEBUG::2015-11-26 15:15:30,282::virtiochannel::200::root::Written {"__name__": "heartbeat", "memory-stat": {"swap_out": 0, "majflt": 0, "swap_usage": 266240, "mem_cached": 0, "mem_free": "292948", "mem_buffers": 0, "swap_in": 0, "swap_total": 1769472, "pageflt": 0, "mem_total": "1048056", "mem_unused": "292948"}, "free-ram": "286", "apiVersion": 2}

Dummy-3::DEBUG::2015-11-26 15:15:30,282::guestagentwin32::520::root::Active user: user@jb-w81x64
Dummy-3::DEBUG::2015-11-26 15:15:30,282::ovirtagentlogic::357::root::AgentLogicBase::sendUserInfo - cur_user = 'user@jb-w81x64'
Dummy-3::DEBUG::2015-11-26 15:15:30,282::ovirtagentlogic::189::root::Sending applications with args {'applications': []}
Dummy-3::DEBUG::2015-11-26 15:15:30,282::virtiochannel::200::root::Written {"applications": [], "__name__": "applications"}

Dummy-3::DEBUG::2015-11-26 15:15:30,282::ovirtagentlogic::189::root::Sending host-name with args {'name': 'JB-W81X64'}
Dummy-3::DEBUG::2015-11-26 15:15:30,282::virtiochannel::200::root::Written {"__name__": "host-name", "name": "JB-W81X64"}

Dummy-3::DEBUG::2015-11-26 15:15:30,282::ovirtagentlogic::189::root::Sending os-version with args {'version': 'Win 8'}
Dummy-3::DEBUG::2015-11-26 15:15:30,282::virtiochannel::200::root::Written {"__name__": "os-version", "version": "Win 8"}

Dummy-3::DEBUG::2015-11-26 15:15:30,298::ovirtagentlogic::189::root::Sending network-interfaces with args {'interfaces': [{'hw': u'00:01:a4:a1:4f:01', 'name': u'Red Hat VirtIO Ethernet Adapter', 'inet': [u'10.34.61.6'], 'inet6': [u'2620:52:0:223c:e018:a662:1d89:c23b', u'fe80::e018:a662:1d89:c23b', u'2620:52:0:223c:bcf3:c460:b0b7:425']}]}
Dummy-3::DEBUG::2015-11-26 15:15:30,298::virtiochannel::200::root::Written {"__name__": "network-interfaces", "interfaces": [{"inet6": ["2620:52:0:223c:e018:a662:1d89:c23b", "fe80::e018:a662:1d89:c23b", "2620:52:0:223c:bcf3:c460:b0b7:425"], "hw": "00:01:a4:a1:4f:01", "inet": ["10.34.61.6"], "name": "Red Hat VirtIO Ethernet Adapter"}]}

Dummy-3::DEBUG::2015-11-26 15:15:30,298::ovirtagentlogic::189::root::Sending fqdn with args {'fqdn': 'jb-w81x64.rhev.lab.eng.brq.redhat.com'}
Dummy-3::DEBUG::2015-11-26 15:15:30,298::virtiochannel::200::root::Written {"__name__": "fqdn", "fqdn": "jb-w81x64.rhev.lab.eng.brq.redhat.com"}

Dummy-3::DEBUG::2015-11-26 15:15:30,312::ovirtagentlogic::189::root::Sending disks-usage with args {'disks': [{'total': 31843151872L, 'path': 'c:\\', 'fs': 'NTFS', 'used': 10596732928L}, {'total': 375529472L, 'path': 'd:\\', 'fs': 'CDFS', 'used': 375529472L}], 'mapping': {u'e946dc19-6eee-4a71-8': {'name': u'\\\\.\\PHYSICALDRIVE0'}}}
Dummy-3::DEBUG::2015-11-26 15:15:30,312::virtiochannel::200::root::Written {"__name__": "disks-usage", "disks": [{"path": "c:\\", "total": 31843151872, "used": 10596732928, "fs": "NTFS"}, {"path": "d:\\", "total": 375529472, "used": 375529472, "fs": "CDFS"}], "mapping": {"e946dc19-6eee-4a71-8": {"name": "\\\\.\\PHYSICALDRIVE0"}}}

Dummy-3::DEBUG::2015-11-26 15:15:30,312::ovirtagentlogic::193::root::Message number-of-cpus not supported by api version 0.
Dummy-3::DEBUG::2015-11-26 15:15:35,641::ovirtagentlogic::189::root::Sending heartbeat with args {'memory-stat': {'swap_out': 0, 'majflt': 42, 'swap_usage': 266240, 'mem_cached': 0, 'mem_free': '292876', 'mem_buffers': 0, 'swap_in': 379, 'swap_total': 1769472, 'pageflt': 136, 'mem_total': '1048056', 'mem_unused': '292876'}, 'free-ram': '285', 'apiVersion': 2}
Dummy-3::DEBUG::2015-11-26 15:15:35,641::virtiochannel::200::root::Written {"__name__": "heartbeat", "memory-stat": {"swap_out": 0, "majflt": 42, "swap_usage": 266240, "mem_cached": 0, "mem_free": "292876", "mem_buffers": 0, "swap_in": 379, "swap_total": 1769472, "pageflt": 136, "mem_total": "1048056", "mem_unused": "292876"}, "free-ram": "285", "apiVersion": 2}

Dummy-3::DEBUG::2015-11-26 15:15:41,000::ovirtagentlogic::189::root::Sending heartbeat with args {'memory-stat': {'swap_out': 0, 'majflt': 0, 'swap_usage': 266240, 'mem_cached': 0, 'mem_free': '298028', 'mem_buffers': 0, 'swap_in': 0, 'swap_total': 1769472, 'pageflt': 3, 'mem_total': '1048056', 'mem_unused': '298028'}, 'free-ram': '291', 'apiVersion': 2}
Dummy-3::DEBUG::2015-11-26 15:15:41,000::virtiochannel::200::root::Written {"__name__": "heartbeat", "memory-stat": {"swap_out": 0, "majflt": 0, "swap_usage": 266240, "mem_cached": 0, "mem_free": "298028", "mem_buffers": 0, "swap_in": 0, "swap_total": 1769472, "pageflt": 3, "mem_total": "1048056", "mem_unused": "298028"}, "free-ram": "291", "apiVersion": 2}

Dummy-3::DEBUG::2015-11-26 15:15:41,000::guestagentwin32::520::root::Active user: user@jb-w81x64
Dummy-3::DEBUG::2015-11-26 15:15:41,000::ovirtagentlogic::357::root::AgentLogicBase::sendUserInfo - cur_user = 'user@jb-w81x64'
Dummy-3::DEBUG::2015-11-26 15:15:41,000::ovirtagentlogic::189::root::Sending applications with args {'applications': []}
Dummy-3::DEBUG::2015-11-26 15:15:41,000::virtiochannel::200::root::Written {"applications": [], "__name__": "applications"}

Dummy-3::DEBUG::2015-11-26 15:15:41,000::ovirtagentlogic::189::root::Sending host-name with args {'name': 'JB-W81X64'}
Dummy-3::DEBUG::2015-11-26 15:15:41,000::virtiochannel::200::root::Written {"__name__": "host-name", "name": "JB-W81X64"}

Dummy-3::DEBUG::2015-11-26 15:15:41,000::ovirtagentlogic::189::root::Sending os-version with args {'version': 'Win 8'}
Dummy-3::DEBUG::2015-11-26 15:15:41,000::virtiochannel::200::root::Written {"__name__": "os-version", "version": "Win 8"}

Dummy-3::DEBUG::2015-11-26 15:15:41,016::ovirtagentlogic::189::root::Sending network-interfaces with args {'interfaces': [{'hw': u'00:01:a4:a1:4f:01', 'name': u'Red Hat VirtIO Ethernet Adapter', 'inet': [u'10.34.61.6'], 'inet6': [u'2620:52:0:223c:e018:a662:1d89:c23b', u'fe80::e018:a662:1d89:c23b', u'2620:52:0:223c:bcf3:c460:b0b7:425']}]}
Dummy-3::DEBUG::2015-11-26 15:15:41,016::virtiochannel::200::root::Written {"__name__": "network-interfaces", "interfaces": [{"inet6": ["2620:52:0:223c:e018:a662:1d89:c23b", "fe80::e018:a662:1d89:c23b", "2620:52:0:223c:bcf3:c460:b0b7:425"], "hw": "00:01:a4:a1:4f:01", "inet": ["10.34.61.6"], "name": "Red Hat VirtIO Ethernet Adapter"}]}

Dummy-3::DEBUG::2015-11-26 15:15:41,016::ovirtagentlogic::189::root::Sending fqdn with args {'fqdn': 'jb-w81x64.rhev.lab.eng.brq.redhat.com'}
Dummy-3::DEBUG::2015-11-26 15:15:41,016::virtiochannel::200::root::Written {"__name__": "fqdn", "fqdn": "jb-w81x64.rhev.lab.eng.brq.redhat.com"}

Dummy-3::DEBUG::2015-11-26 15:15:41,032::ovirtagentlogic::189::root::Sending disks-usage with args {'disks': [{'total': 31843151872L, 'path': 'c:\\', 'fs': 'NTFS', 'used': 10596745216L}, {'total': 375529472L, 'path': 'd:\\', 'fs': 'CDFS', 'used': 375529472L}], 'mapping': {u'e946dc19-6eee-4a71-8': {'name': u'\\\\.\\PHYSICALDRIVE0'}}}
Dummy-3::DEBUG::2015-11-26 15:15:41,032::virtiochannel::200::root::Written {"__name__": "disks-usage", "disks": [{"path": "c:\\", "total": 31843151872, "used": 10596745216, "fs": "NTFS"}, {"path": "d:\\", "total": 375529472, "used": 375529472, "fs": "CDFS"}], "mapping": {"e946dc19-6eee-4a71-8": {"name": "\\\\.\\PHYSICALDRIVE0"}}}

Dummy-3::DEBUG::2015-11-26 15:15:41,032::ovirtagentlogic::193::root::Message number-of-cpus not supported by api version 0.

~~~
Version-Release number of selected component (if applicable):
3.6.2.iso

How reproducible:
100%

Steps to Reproduce:
1. install windows 8.1 64bit or Windows 7 32bit and WGT from 3.6.2.iso
2. check if installed apps are reported
3.

Actual results:
appsList is empty

Expected results:
installed apps should be reported

Additional info:

same for windows 7 32bit

~~~
Dummy-2::INFO::2015-11-26 16:42:29,015::ovirtagentlogic::294::root::Received an external command: api-version...
Dummy-2::INFO::2015-11-26 16:42:29,015::ovirtagentlogic::112::root::API Version updated from 0 to 1
Dummy-2::DEBUG::2015-11-26 16:42:29,015::guestagentwin32::520::root::Active user: user@JB-W7-X86
Dummy-2::DEBUG::2015-11-26 16:42:29,015::ovirtagentlogic::357::root::AgentLogicBase::sendUserInfo - cur_user = 'user@JB-W7-X86'
Dummy-2::DEBUG::2015-11-26 16:42:29,015::ovirtagentlogic::189::root::Sending active-user with args {'name': u'user@JB-W7-X86'}
Dummy-2::DEBUG::2015-11-26 16:42:29,015::virtiochannel::200::root::Written {"__name__": "active-user", "name": "user@JB-W7-X86"}

Dummy-2::DEBUG::2015-11-26 16:42:29,015::ovirtagentlogic::189::root::Sending applications with args {'applications': []}
Dummy-2::DEBUG::2015-11-26 16:42:29,015::virtiochannel::200::root::Written {"applications": [], "__name__": "applications"}

Dummy-2::DEBUG::2015-11-26 16:42:29,015::ovirtagentlogic::189::root::Sending host-name with args {'name': 'JB-W7-X86'}
Dummy-2::DEBUG::2015-11-26 16:42:29,015::virtiochannel::200::root::Written {"__name__": "host-name", "name": "JB-W7-X86"}
~~~
Comment 1 Red Hat Bugzilla Rules Engine 2015-11-27 09:39:01 EST
This bug report has Keywords: Regression or TestBlocker.
Since no regressions or test blockers are allowed between releases, it is also being identified as a blocker for this release. Please resolve ASAP.
Comment 2 Tomas Jelinek 2016-01-05 09:21:41 EST
*** Bug 1276700 has been marked as a duplicate of this bug. ***
Comment 3 Ondra Machacek 2016-01-21 07:56:33 EST
I can see installed applications of windows 7 64b. with rhev-guest-tools-iso-3.6-4

Note You need to log in before you can comment on or make changes to this bug.